{
  "criteria": {
    "use_hide_waterskin": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "item": {
          "predicates": {
            "custom_data": {
              "IsHideWaterskin": true,
              "WaterskinContents": "empty"
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "use_hide_waterskin"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/foods/waterskin/use_hide_waterskin"
  }
}